# Uses of Interface
org.opensaml.saml.saml2.core.Evidentiary

Packages that use Evidentiary
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of Evidentiary in org.opensaml.saml.saml2.core

Subinterfaces of Evidentiary in org.opensaml.saml.saml2.core
Modifier and Type
Interface
Description
`interface`
`Assertion`
SAML 2.0 Core Assertion.
`interface`
`AssertionIDRef`
SAML 2.0 Core AssertionIDRef.
`interface`
`AssertionURIRef`
SAML 2.0 Core AssertionURIRef.
`interface`
`EncryptedAssertion`
SAML 2.0 Core EncryptedAssertion.
Methods in org.opensaml.saml.saml2.core that return types with arguments of type Evidentiary
Modifier and Type
Method
Description
`List<Evidentiary>`
Evidence.`getEvidence()`
Gets the list of all elements used as evidence.

## Uses of Evidentiary in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Evidentiary
Modifier and Type
Class
Description
`class`
`AssertionIDRefImpl`
Concrete implementation of `AssertionIDRef`.
`class`
`AssertionImpl`
A concrete implementation of `Assertion`.
`class`
`AssertionURIRefImpl`
A concrete implementation of `AssertionURIRef`.
`class`
`EncryptedAssertionImpl`
A concrete implementation of `EncryptedAssertion`.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type Evidentiary
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<Evidentiary>`
EvidenceImpl.`evidence`
Assertion of the Evidence.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type Evidentiary
Modifier and Type
Method
Description
`List<Evidentiary>`
EvidenceImpl.`getEvidence()`
Gets the list of all elements used as evidence.